GETCDS(1)

NAME
getcds.pl - CDS extraction from various annotation formats

SYNOPSIS
getcds.pl [options] input file [output file] [input file [outputfile] ...]

OPTIONS
 Options include:
   redirect => Enable a redirect at runtime. explained below.
   force => allows writing empty .cds files

If [output file] is unspecificied, "[input file].cds" is used.

There's lots of dark magic that can be performed with .redirect files. Redirects are used to modify the ordinary behaviour and can be applied on a global basis (a .redirect file in the same directory as [input file]), and/or on a per-input basis ([input file].redirect). Redirects are read in that order such that per-input effects are applied ontop of global effects.

If you've left the filename as-is from an Ensembl downoad, the appropriate Ensembl DB source will be guessed automatically.

Possible redirects:

CDS - changes what tag type is searched for when running on bioperl files (default is CDS)
offset - add some value to all coordinates
+bioperl - on top of any other redirect-based data, also extract annotation via bioperl (using a direct disables bioperl's parser by default)
ensembl_build - grab data from the ensembl (in the specified schema)
ucsc_build - grab data from (in the specified schema)
murasaki_synth - synthesize annotation data for each anchor from an alignment (if this is a directory, then each input file (eg input.lav) is checked for a corresponding .anchors file (eg. input.anchors).
primary - what to type of tags to create from data gathered from outside data (eg: ensembl, ucsc, or murasaki). default is the same as the cds redirect.
chromosome - forces a specific chromosome rather than deriving from filename
gtf - extract annotation from a .gtf file